Name:          osgi-resource-locator
Version:       1.0.1
Release:       1%{?dist}
Summary:       OSGi resource locator bundle
Group:         Development/Libraries
License:       CDDL or GPLv2 with exceptions
Url:           http://hk2.java.net/
# svn export https://svn.java.net/svn/hk2~svn/tags/osgi-resource-locator-1.0.1
# tar czf osgi-resource-locator-1.0.1-src-svn.tar.gz osgi-resource-locator-1.0.1
Source0:       %{name}-%{version}-src-svn.tar.gz
# wget -O glassfish-LICENSE.txt https://svn.java.net/svn/glassfish~svn/tags/legal-1.1/src/main/resources/META-INF/LICENSE.txt
# glassfish-master-pom package don't include the license file
Source1:       glassfish-LICENSE.txt

BuildRequires: java-devel

BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: glassfish-master-pom

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin

Requires:      felix-osgi-compendium
Requires:      felix-osgi-core
Requires:      glassfish-master-pom

Requires:      java
BuildArch:     noarch

%description
OSGi resource locator bundle - used by various API providers that
rely on META-INF/services mechanism to locate providers.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
cp -p %{SOURCE1} LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-jar-plugin']" "<version>2.4</version>"

%build

mvn-rpmbuild -Dproject.build.sourceEncoding=UTF-8 package javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog
* Sat Aug 25 2012 gil cattaneo <puntogil@libero.it> 1.0.1-1
- initial rpm